# StyleSheet Database for IDB System Interface
# Created by: IDB Software Team

# Referenced in main_window in class UiMainWindow in method setup_main
mainWindowBackground = """
    background-color: {color};
"""
# Referenced in main_window in class UiMainWindow in method tab_clicked
toolButtonStyle = """
    QToolButton {{
        color: {color}; 
        border: 0px solid;
        background-color:{color2};
    }}
    QToolButton:hover {{
        background-color: {color3};
    }}
    QToolButton:pressed {{
        background-color: {color3};
    }}
"""

# Referenced in main_window in class UiMainWindow in method tab_clicked
toolButtonStyle2 = """
    QToolButton {{
        color: {color}; 
        border: 0px solid;
        background-color: {color2};
    }}
"""

# Referenced in main_window in class UiMainWindow in method create_tab_layout
tabLayoutStyle = """
    QFrame {{
        background-color:{color};
    }}
"""

# Referenced in QGraphicSceneSandbox in class NodeListView initialization
tvTreeNodeListStyleSheet = """
    QTreeView {{
        border: 5px {color};
        background-color: {color2};
        border-width: 5;
        color: {color3};
        outline: 0px;
    }}
    QTreeView::item:hover, QTreeView::item:selected {{
        color: {color4};
        background-color: {color5};
    }}
    QHeaderView::section {{
        border: 0.6px;
        padding: 0px;
        background-color: {color6};
        color: {color7};  
        
    }}
    QLineEdit {{
        background-color: {color2};
        selection-background-color: {color3};
        color: {color4};
        border: 0px;
    }}

    QTreeView::indicator {{
        width: {pix}px;
        height: {pix}px;
        background: transparent;
        background-image : url(graph_icons/checkbox_icons/unchecked_{pix}.png);
    }}
    QTreeView::indicator:checked {{
        background-image : url(graph_icons/checkbox_icons/checked_{pix}.png);
    }}
    QTreeView::indicator:checked:hover {{
        background-image : url(graph_icons/checkbox_icons/checked_hover_{pix}.png);
    }}
    QTreeView::indicator:unchecked {{
        background-image : url(graph_icons/checkbox_icons/unchecked_{pix}.png);
    }}
    QTreeView::indicator:unchecked:hover {{
        background-image : url(graph_icons/checkbox_icons/unchecked_hover_{pix}.png);
    }}


"""

SeriesMenuStyleSheet = """
    QComboBox {{
        color: {color};
        border-style: solid;
        border: 2px solid {color2};
        border-radius: 2px;
        background-color: {color3};

    }}
    QComboBox:hover {{
        color: {color4};
        background-color: {color5};
    }}
    QComboBox::drop-down {{
        border-style: solid;
    }}

    QComboBox QAbstractItemView {{
        color: {color};
        border-style: solid;
        border: 2px solid {color2};
        border-radius: 2px;
        border-top: 2px;
        background-color: {color5};
        selection-background-color: {color6};
        outline: 0px;
    }}
    QComboBox::item:hover{{
        border: 0px;
    }}
    QListView::indicator {{
        width: {pix}px;
        height: {pix}px;
        background: transparent;
        background-image : url(graph_icons/checkbox_icons/unchecked_{pix}.png);
    }}
    QListView::indicator:checked {{
        background-image : url(graph_icons/checkbox_icons/checked_{pix}.png);
    }}
    QListView::indicator:checked:hover {{
        background-image : url(graph_icons/checkbox_icons/checked_hover_{pix}.png);
    }}
    QListView::indicator:unchecked {{
        background-image : url(graph_icons/checkbox_icons/unchecked_{pix}.png);
    }}
    QListView::indicator:unchecked:hover {{
        background-image : url(graph_icons/checkbox_icons/unchecked_hover_{pix}.png);
    }}
    
"""




# Referenced in QGraphicSceneSandbox in class GraphSettings for DropDown menus
dropDownMenuStyleSheet = """
    QComboBox {{
        color: {color};
        border-style: solid;
        border: 2px solid {color2};
        border-radius: 2px;
        background-color: {color3};

    }}
    QComboBox:hover {{
        color: {color4};
        background-color: {color5};
    }}
    QComboBox::drop-down {{
        border-style: solid;
    }}

    QComboBox QAbstractItemView {{
        color: {color};
        border-style: solid;
        border: 2px solid {color2};
        border-radius: 2px;
        border-top: 2px;
        background-color: {color5};
        selection-background-color: {color6};
        outline: 0px;
    }}
    QComboBox::item:hover{{
        border: 0px;
    }}
    QComboBox::indicator{{
        background-color:transparent;
        selection-background-color:transparent;
        color:transparent;
        selection-color:transparent;
    }}
"""

CheckboxSettingsStyleSheet = """
    QCheckBox {{
        color: {color1};
        background: transparent;
    }}
    QCheckBox::indicator {{
        width: {pix}px;
        height: {pix}px;
        background: transparent;
        background-image : url(graph_icons/checkbox_icons/unchecked_{pix}.png);
    }}
    QCheckBox::indicator:checked {{
        background-image : url(graph_icons/checkbox_icons/checked_{pix}.png);
    }}
    QCheckBox::indicator:checked:hover {{
        background-image : url(graph_icons/checkbox_icons/checked_hover_{pix}.png);
    }}
    QCheckBox::indicator:unchecked {{
        background-image : url(graph_icons/checkbox_icons/unchecked_{pix}.png);
    }}
    QCheckBox::indicator:unchecked:hover {{
        background-image : url(graph_icons/checkbox_icons/unchecked_hover_{pix}.png);
    }}
"""

toolButtonStyle3 = """
    QToolButton {{
        border: 2px solid {color};
        background-color: {color2};
        border-radius: 3px;
    }}
    QToolButton:hover {{
        background-color: {color3};
    }}
    QToolButton:pressed {{
        background-color: {color3};
    }}
"""

toolButtonStyle4 = """
    QToolButton {{
        border: 0px solid {color};
        background-color: {color2};
        border-radius: 12px;
    }}
    QToolButton:hover {{
        background-color: {color3};
    }}
    QToolButton:pressed {{
        background-color: {color3};
    }}
"""

toolButtonStyle5 = """
    QToolButton {{
        color: {fontColor};
        border: 2px solid {color};
        background-color: {color2};
        border-radius: 3px;
    }}
    QToolButton:hover {{
        background-color: {color3};
    }}
    QToolButton:pressed {{
        background-color: {color3};
    }}
"""

inputDialogStyleSheet = """
    QLineEdit {{
        color: {color};
        border: 2px solid {color2};
        background-color: {color3};
        border-radius: 3px;

    }}
    QLineEdit:hover {{
        background-color: {color4};
    }}
    QLineEdit:pressed {{
        background-color: {color4};
    }}
"""
titleLabelStyleSheet = """
    QLabel {{
        color: {color};
        font-size: {size}pt;
        background: transparent;
        border-bottom-width: 2px;
        border-bottom-style: solid;
        border-radius: 0px;
        border-color:{color};
    }}
"""
labelSimpleStyleSheet = """
    QLabel {{
        color: {color};
        font-size: {size}pt;
        background: transparent;
    }}
"""

gridLayoutStyleSheet = """
    QGridLayout {{
        background: {color};
    }}
"""

clockCycleStyleSheet = """
    QSlider {{
        max-height: {pix}px;
        min-height: {pix}px;
        width: {sliderWidth}px;
    }}
    QSlider::handle:horizontal {{
        background-color: {color3};
        margin: -{pix}px -{pix2}px;
        height: -{pix}px;
    }}
    QSlider::groove:horizontal {{
        background-color: {color};
        border: 1px solid {color};
        height: {sliderHeight}px;
        width: {sliderWidth}px;
    }}
    QSlider::handle:horizontal:hover {{ 
        background-color: {color2};
	}}


"""

runtimeStyleSheet = """
    QLineEdit {{
        background-color: {backgroundColor};

    }}

    QDoubleSpinBox {{
        color: {fontColor};
        selection-background-color: {clickedBorderColor};
        border: 2px solid {borderColor};
    }}
    QDoubleSpinBox::up-button {{
        image: url(graph_icons/circuit_icons/up_arrow_btn{theme}_{pix}.png);
        border: 0px solid;
    }}

    QDoubleSpinBox::down-button {{
        image: url(graph_icons/circuit_icons/down_arrow_btn{theme}_{pix}.png);
        border: 0px solid;
    }}
    QDoubleSpinBox::up-button:hover {{
        background-color: {borderColor};
    }}

    QDoubleSpinBox::down-button:hover {{
        background-color: {borderColor};
    }}

"""

errorLabelStyleSheet = """
    QLabel {{
        background-color: transparent;
        color: {errorColor};
    }}
"""

clockLabelStyleSheet = """
    QLabel {{
        background-color: transparent;
        color: {color};
    }}
"""

headerModuleFrame = """
    QLabel {{
        background-color: transparent;
        color: {fontColor};
    }}
    QToolButton {{
        border-image: {normalPNG} 0 0 0 0 stretch stretch;
    }}
    QToolButton:hover {{
        border-image: {hoverPNG} 0 0 0 0 stretch stretch;
    }}
    QToolButton:pressed {{
        border-image: {hoverPNG} 0 0 0 0 stretch stretch;
    }}
"""

arrowButtonStyleSheet = """
    QToolButton {{
        border-image: {normalPNG} 0 0 0 0 stretch stretch;
    }}
    QToolButton:hover {{
        border-image: {hoverPNG} 0 0 0 0 stretch stretch;
    }}
    QToolButton:pressed {{
        border-image: {hoverPNG} 0 0 0 0 stretch stretch;
    }}
    QToolButton:disabled {{
        border-image: {disabledPNG} 0 0 0 0 stretch stretch;
    }}
"""

moduleToolButtonStyleSheet = """
    QToolButton {{
        background-color: transparent;
        border-radius: 5px;
        color: {fontColor};
        border: 0px solid {hoverColor};
    }}
    QToolButton:hover {{
        border: 1px solid {mainColor};
        background-color: {hoverColor};
        color: {fontHoverColor};
    }}


"""

ProgressBarStyleSheet = """
    QProgressBar {{
        background-color: {mainColor};
        color: {fontColor};
        border: 1px solid {fillColor};
        border-radius: 10px;
        text-align: center;
    }}
     QProgressBar::chunk {{
         border-radius: 10px;
         background-color: {fillColor}
    }}
    QLabel {{
        color: {fillColor};
    }}
"""

menuStyleSheet = """
    QMenu {{
        font-size: {size};
        font-family: {family};
        color: {mainFontColor};
        background-color: {bgColor};
        border:0px solid;
        padding:0px;
    }}
    QMenu::item:hover, QMenu::item:selected{{
        background: {hoverColor};
    }}
"""
menuStyleSheet2 = """
    QMenu {{
        color: {mainFontColor};
        background-color: {bgColor};
        border:2px solid {borderColor};
        padding:2px;
    }}
    QMenu::item:hover, QMenu::item:selected{{
        background: {hoverColor};
    }}
"""


